"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _parseGithubRepoUrl = _interopRequireDefault(require("parse-github-repo-url"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getGithubRepo(githubUrl) {
  const result = (0, _parseGithubRepoUrl.default)(githubUrl);

  if (!result) {
    throw new Error(`Invalid GitHub URI ${githubUrl}`);
  }

  return `${result[0]}/${result[1]}`;
}

var _default = getGithubRepo;
exports.default = _default;